{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}
{% endblock %}

{% block title %}Edit Foods{% endblock %}
{% block food_active %}active{% endblock %}
{% block parent_food_a_active %}active{% endblock %}
{% block parent_food_i_active %}active{% endblock %}

{% block content %}
<div class="row">
    <div class="col-lg-12">
        <section class="panel panel-content">
            <header class="panel-heading">
                <span>Edit Food</span>
            </header>
            <div class="panel-body">
                <form class="form-horizontal" action="" role="form" method="post"
                      enctype="multipart/form-data">
                    {% csrf_token %}

                    <div class="form-group">
                        <label for="account_group" class="col-lg-2 col-sm-2 control-label">Category<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.category }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="subject" class="col-lg-2 col-sm-2 control-label">Type<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.type }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="name" class="col-lg-2 col-sm-2 control-label">Name<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.name }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="subject_cn" class="col-lg-2 col-sm-2 control-label">Name_CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.name_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="body" class="col-lg-2 col-sm-2 control-label">Price<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.price }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="subject_cn" class="col-lg-2 col-sm-2 control-label">Description</label>
                        <div class="col-lg-10">
                            {{ form_info.description }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="body_cn" class="col-lg-2 col-sm-2 control-label">Description_CN</label>
                        <div class="col-lg-10">
                            {{ form_info.description_cn }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="start_time" class="col-lg-4 col-sm-4 control-label">Start Time<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.start_time }}
                                    <span id="lbTimeError" class="text-danger hidden">* Please input start time smaller then end time.</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="end_time" class="col-lg-4 col-sm-4 control-label">End Time<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.end_time }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="hash_tags" class="col-lg-2 col-sm-2 control-label">Hash Tags</label>
                        <div class="col-lg-10">
                            {{ form_info.hash_tags }}
                            <span class="text-primary">* Please input as format: #hashtag1 #hastag2 #hastag3</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="week_days" class="col-lg-2 col-sm-2 control-label">Apply Days</label>
                        <div class="col-lg-10">
                            {{ form_info.week_days }}
                        </div>
                    </div>
                    <div class="row hidden">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="open_date" class="col-lg-4 col-sm-4 control-label">Quantity per Day</label>
                                <div class="col-lg-8">
                                    {{ form_info.quantity_per_day }}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="close_date" class="col-lg-4 col-sm-4 control-label">Current Order</label>
                                <div class="col-lg-8">
                                    {{ form_info.current_order }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="image_path" class="col-lg-2 col-sm-2 control-label">Image</label>
                        <div class="col-lg-4">
                            {% if foods.image_path %}
                                <input id="image_path"
                                    name="image_path"
                                    class="dropify image_path"
                                    data-default-file="{% static 'media/' %}{{ foods.image_path }}"
                                    type="file"
                                    data-max-file-size="3M"
                                    data-show-remove="false"
                                    data-min-width="400"
                                    data-max-width="1080"
                                    data-allowed-file-extensions="png jpg jpeg"/>
                                <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                            {% else %}
                                <input required id="image_path"
                                    name="image_path"
                                    class="dropify image_path"
                                    type="file"
                                    data-max-file-size="3M"
                                    data-show-remove="false"
                                    data-min-width="400"
                                    data-max-width="1080"
                                    data-allowed-file-extensions="png jpg jpeg"/>
                                <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <div class="col-lg-2">

                        </div>
                        <div class="col-lg-10">
                            <div class="checkbox checkbox-primary">
                                <input name="isDelete" id="checkbox-03" class="styled" type="checkbox"
                                       {% if foods.is_delete == 0 %}checked{% endif %}/>
                                <label for="checkbox-03">
                                    Active
                                </label>
                            </div>
                        </div>
                    </div>

                    <!--end form content-->
                    <div class="form-group bottom-group">
                        <div class="col-lg-offset-2 col-lg-10">
                            <button type="submit" class="btn btn-success" onclick="return checkTime()">Update</button>
                            <a type="submit" class="btn btn-default" href="{% url 'foods_list' %}">Cancel</a>
                        </div>
                    </div>

                </form>
            </div>
        </section>
    </div>
</div>
{% endblock %}

{% block extrafoot %}
    {% load staticfiles %}
    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>
        function checkTime() {
            var start_time = $("#id_start_time").val();
            var end_time = $("#id_end_time").val();

            if(end_time < start_time || end_time == start_time) {
                $("#lbTimeError").removeClass("hidden");
                return false;
            } else {
                $("#lbTimeError").addClass("hidden");
            }
        }

{#        $('#id_name').on('blur', function () {#}
{#            $.ajax({#}
{#                type: "POST",#}
{#                url: "{% url 'check_duplicate_food_name' %}",#}
{#                success: function (res) {#}
{#                    // TODO#}
{#                }#}
{#            });#}
{#        });#}
    </script>
{% endblock %}
